#
# spec file for package python-ceilometermiddleware
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-ceilometermiddleware
Version:        1.4.0
Release:        1.1
Summary:        A library for metric and event data generation for Ceilometer
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://docs.openstack.org/developer/ceilometermiddleware
Source0:        https://files.pythonhosted.org/packages/source/c/ceilometermiddleware/ceilometermiddleware-1.4.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-betamax
BuildRequires:  python-keystoneauth1
BuildRequires:  python-keystoneclient
BuildRequires:  python-mock
BuildRequires:  python-oslo.config
BuildRequires:  python2-oslo.messaging
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-pycadf
BuildRequires:  python-setuptools
BuildRequires:  python-stestr
BuildRequires:  python-testrepository
Requires:       python-keystoneauth1
Requires:       python-keystoneclient
Requires:       python-oslo.config
Requires:       python2-oslo.messaging
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-pycadf
Requires:       python-six
BuildArch:      noarch

%description
This library provides middleware modules designed to enable metric and
event data generation to be consumed by Ceilometer.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx

%description doc
This library provides middleware modules designed to enable metric and
event data generation to be consumed by Ceilometer.

This package contains documentation in HTML format.

%prep
%autosetup -p1 -n ceilometermiddleware-1.4.0
%py_req_cleanup

%build
%py2_build

# generate html docs
%{__python2} setup.py build_sphinx
# remove the Sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%check
%{__python2} -m stestr.cli run

%install
%py2_install

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/ceilometermiddleware
%{python2_sitelib}/ceilometermiddleware-*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
